<template>
  <div>
    <v-row justify="center">
      <v-col class="text-center pa-0" md="4" lg="4" xl="4">
        <v-skeleton-loader
          :loading="loadingTitle"
          height="30"
          class="skeleton-custom d-flex justify-center"
          type="heading"
        >
          <strong class="font-weight-black text-h6">{{
            data.descripcion
          }}</strong>
        </v-skeleton-loader>
      </v-col>
    </v-row>
    <v-skeleton-loader
      :loading="loadingContent"
      height="30"
      class="skeleton-custom d-flex justify-center"
      type="table-row"
      :types="{ 'table-row': 'table-cell@3' }"
    >
      <v-row class="mt-0" justify="center">
        <template v-for="(rango, index) in data.rangos">
          <v-col
            :key="index"
            class="text-center pb-0 pb-sm-0"
            cols="12"
            sm="12"
            md="3"
            lg="3"
            xl="2"
          >
            <v-card class="pa-1  text-center" tile :color="rango.color">
              <span
                class="text-caption font-weight-black"
                :style="'color:' + getContrastColorByBaseColor(rango.color)"
              >
                {{ rango.descripcion }} {{ rango.limiteInferior }} -
                {{ rango.limiteSuperior }}
              </span>
            </v-card>
          </v-col>
        </template>
      </v-row>
    </v-skeleton-loader>
  </div>
</template>
<style>
.skeleton-custom .v-skeleton-loader__heading {
  width: 100% !important;
}
.skeleton-custom .v-skeleton-loader__table-row {
  width: 60%;
}
.skeleton-custom .v-skeleton-loader__table-row .v-skeleton-loader__table-cell {
  width: 30%;
}
</style>
<script>
import store from "@/store";
const serviceCommons = store.state.serviceCommons;
export default {
  name: "Component-No13Semaforo",
  props: {
    data: {
      required: true,
      type: Object,
    },
    horizontal: {
      required: false,
      type: Boolean,
      default: false,
    },
    loadingContent: {
      required: false,
      type: Boolean,
      default: true,
    },
    loadingTitle: {
      required: false,
      type: Boolean,
      default: true,
    },
    barSize: {
      required: false,
      type: [Number, String],
      default: 300,
    },
  },
  methods: {
    getContrastColorByBaseColor(color) {
      return serviceCommons.getContrastColorByBaseColor(color);
    },
  },
};
</script>
